Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-dev
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-dev@g.o
From: Ciaran McCreesh <ciaran.mccreesh@...>
Subject: Re: We need *you* for a USE="selinux" dependency
Date: Mon, 5 Dec 2011 12:22:09 +0000
On Sun, 4 Dec 2011 22:10:19 -0500
Rich Freeman <rich0@g.o> wrote:
> In this particular case the approved PMS says "In the pkg phases, at
> least one of the following conditions must be met: any command
> provided by a packaged listed in DEPEND is available; any command
> provided by a packaged listed in RDEPEND is available."

Yeah, that's a screwup that's been discussed at length. It shouldn't be
giving you any guarantees at all for pkg_*, since RDEPEND-RDEPEND
cycles need to be breakable (there are lots of them in the tree).

The fix is likely going to be an IDEPEND or something along those lines
in the next EAPI.

-- 
Ciaran McCreesh
Attachment:
signature.asc (PGP signature)
References:
We need *you* for a USE="selinux" dependency
-- Sven Vermeulen
Re: We need *you* for a USE="selinux" dependency
-- Fabio Erculiani
Re: We need *you* for a USE="selinux" dependency
-- Rich Freeman
Navigation:
Lists: gentoo-dev: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
Re: We need *you* for a USE="selinux" dependency
Next by thread:
Re: We need *you* for a USE="selinux" dependency
Previous by date:
Re: sources.gentoo.org instability
Next by date:
Re: sources.gentoo.org instability


Updated Jun 29, 2012

Summary: Archive of the gentoo-dev mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.